Information Exposure Affecting github.com/hashicorp/terraform/backend/remote-state/azure package, versions <0.12.17


0.0
low
  • Attack Complexity

    High

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-GOLANG-GITHUBCOMHASHICORPTERRAFORMBACKENDREMOTESTATEAZURE-590108

  • published

    3 Dec 2019

  • disclosed

    2 Dec 2019

  • credit

    phekmat

How to fix?

Upgrade github.com/hashicorp/terraform/backend/remote-state/azure to version 0.12.17 or higher.

Overview

github.com/hashicorp/terraform/backend/remote-state/azure is an open source tool that codifies APIs into declarative configuration files

Affected versions of this package are vulnerable to Information Exposure. When using the Azure backend with a shared access signature (SAS), Terraform versions prior to 0.12.17 may transmit the token and state snapshot using cleartext HTTP.